<?xml version="1.0" encoding="utf-8"?>

<!--
    Copyright (C) 2011 The Android Open Source Project.

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="player.efis.pfd"
    android:installLocation="preferExternal">

    <!-- Tell the system this app requires OpenGL ES 2.0. -->
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />

    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    
    <!-- avare -->
    <!--
    <uses-feature android:name="android.hardware.bluetooth" android:required="false" />
    <uses-feature android:name="android.hardware.wifi" android:required="false" />

    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_MULTICAST_STATE" />
    -->
    <!-- avare -->
    
    <!-- stratux -->
    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>
    <!-- Stratux -->

    <!-- Needed to be able to kill the mfd if running -->
    <!-- <uses-permission android:name="android.permission.KILL_BACKGROUND_PROCESSES" /> -->

    <permission android:name="ACCESS_COARSE_LOCATION" >
    </permission>
    <permission android:name="ACCESS_FINE_LOCATION" >
    </permission>

    <!-- android:screenOrientation="landscape" -->
    <!-- android:screenOrientation="portrait" -->
    <application
        android:allowBackup="true"
        android:icon="@drawable/ah_icon"
        android:killAfterRestore="false"
        android:label="@string/app_name" >
        <activity
            android:screenOrientation="portrait"
            android:name="player.efis.pfd.PFDMainActivity"
            android:label="@string/app_name"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".PFDPrefSettings"
            android:label="@string/app_name"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" >
        </activity>
        <activity
            android:name=".PFDPrefManage"
            android:label="@string/app_name"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen" >
        </activity>

        <!-- Auto start code start -->
        <!-- to ENABLE set, android:enabled="true" -->
        <!-- to DISABLE set, android:enabled="false" -->
        <!--
        <receiver
            android:name=".BootUpReceiver"
            android:enabled="true"
            android:permission="android.permission.RECEIVE_BOOT_COMPLETED" >
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />

                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </receiver>
        -->
        <!-- Auto start code end -->

    </application>

</manifest>
<!--
    <application
            android:icon="@drawable/ah_icon"
            android:label="@string/app_name"
            android:allowBackup="true" android:killAfterRestore="false">
        <activity
            	android:screenOrientation="landscape"
            	android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
                android:name="player.efis.pfd.PFDMainActivity
                android:label="@string/app_name" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>


////////////// AUTOSTART CODE       
<receiver android:enabled="true" android:name=".BootUpReceiver"
        android:permission="android.permission.RECEIVE_BOOT_COMPLETED">

        <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <category android:name="android.intent.category.DEFAULT" />
        </intent-filter>
</receiver>
[..]
<uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
[..]

public class BootUpReceiver extends BroadcastReceiver{

        @Override
        public void onReceive(Context context, Intent intent) {
                Intent i = new Intent(context, MyActivity.class);  
                i.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
                context.startActivity(i);  
        }

}        
////////////// AUTOSTART CODE       
        
        
        
        
    </application>-->

